body {
    background-color: teal;
}

#open-modal-checkbox {
    display: none;
}

#modal {
    background-color: white;
    box-sizing: border-box;
    position: fixed;
    left: 0;
    top: 0;
    height: 100vh;
    display: none;
}


#open-modal-checkbox:checked ~ #modal,
#open-modal-checkbox:checked ~ .overlay {
    display: block;
}

.modal-header {
    height: 65px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}
.modal-header--title {
    margin: 0;
}
.modal-header--top-button {
    background: transparent;
    font-weight: 600;
    top: 10px;
    position: absolute;
    border: none;
    cursor: pointer;
}
.modal-header--cuadradit {
    right: 33px;
}
.modal-header--close {
    right: 10px;
}
.modal-content {
    padding: 25px;
}
.mobile-hidden {
    display: none;
}

.lorem {
    color: white;
}

.visibility-hidden {
    visibility: hidden;
}

@media (min-width: 415px) {
    #modal {
        background-color: tomato;
        width: 320px;
        height: 420px;
        top: 10vh;
        left: calc(50vw - 160px);
    }
    .modal-content {
        height: 265px;
        overflow-y: auto;
    }
    .mobile-hidden {
        display: initial;
    }
    .overlay {
        position: fixed;
        background-color: rgba(0, 0, 0, 0.5);
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        display: none;
    }
}


@media (min-width: 768px) {
    #modal {
        background-color: cornsilk;
    }
}
